%% model of media and cell with MM and fu

close all; clear all; clc;

%% initialise model
arInit;
arLoadModel('Bos_RHep');
arLoadData('Bos_TimeCourse');
arCompileAll;

% michaelis-menten:
arSetPars('Kmu',0.7,1,1,-2,3);
arSetPars('Vmu',-0.97,1,1,-5,5);

% passive diffusion:
arSetPars('k12',-1.5,1,1,-6,1);
arSetPars('k21',0.4,1,1,-5,2);

% set tolerances
ar.config.atol = 1e-8;
ar.config.rtol = 1e-8;
ar.config.optim.TolFun = 1e-8;
ar.config.optim.TolX = 1e-8;
ar.config.maxsteps = 1e5;

% load params from best fit and plot
%arCheckSimu
arQFit('Bos_TimeCourse',1);
ars = arLoadPars('all');
[ars,ps]=arLoadPars('all');
arFits(ps);

% Set errors
ar.config.fiterrors = -1; % use SD from data rather than estimating errors
ar.config.ploterrors = 1; % display error as bars

% display and plot results
arPrint;
arPlot;
arPlotResiduals

%% run profile likelihood model
arPLEInit
ple










